> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get streams transcoding chart for reseller

> Calculates the time series of transcoding minutes of all streams of all subclients. The data is updated near realtime.



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml get /streaming/statistics/reseller/stream
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/statistics/reseller/stream:
    get:
      tags:
        - Streaming Statistics
      summary: Get streams transcoding chart for reseller
      description: >-
        Calculates the time series of transcoding minutes of all streams of all
        subclients. The data is updated near realtime.
      operationId: getResellerStreamChart
      parameters:
        - name: from
          in: query
          required: true
          description: Start of time frame. Datetime in ISO 8601 format.
          schema:
            type: string
          example: '2024-05-01T00:00:00Z'
        - name: to
          in: query
          required: true
          description: End of time frame. Datetime in ISO 8601 format.
          schema:
            type: string
          example: '2024-05-31T23:59:59Z'
        - name: granularity
          in: query
          description: specifies the time interval for grouping data
          schema:
            type: string
            default: 1h
            enum:
              - 1m
              - 5m
              - 15m
              - 1h
              - 1d
        - name: by_streams
          in: query
          schema:
            type: boolean
            default: false
            description: >-
              indicates the format of the answer should be grouped by stream,
              else by client
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/streamstat'
        '400':
          $ref: '#/components/responses/error_bad_request'
        '500':
          $ref: '#/components/responses/error_internal_server'
components:
  schemas:
    streamstat:
      type: array
      items:
        type: object
        required:
          - client
          - metrics
        properties:
          client:
            type: integer
          metrics:
            type: object
            required:
              - streams
            properties:
              streams:
                type: array
                items:
                  type: integer
                  format: int64
                  description: >-
                    first value in array is timestamp, second is count of
                    transcoding minutes
      example:
        - client: 123
          metrics:
            streams:
              - - 1640995210
                - 10
              - - 1640995310
                - 10
              - - 1640995410
                - 10
              - - 1640995510
                - 20
              - - 1640995610
                - 20
    error_common:
      required:
        - data
        - errors
      type: object
      properties:
        data:
          type: array
          items:
            type: string
        errors:
          type: array
          items:
            type: string
  responses:
    error_bad_request:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_common'
          examples:
            missingParam:
              summary: Missing query param
              value:
                data: []
                errors:
                  - 'from: query param is not set'
    error_internal_server:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_common'
          examples:
            internalServerError:
              summary: Internal Server Error
              value:
                data: []
                errors:
                  - internal server error
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````